:root {
    --option-background-color: #{$white};
    --option-check-mark-background: #{$black};
    --option-padding: 0 12px;
    --option-margin: 0;
    --option-size: 45px;
    --option-text-color: #979797;
    --option-border-color: #979797;

    @include mobile {
        --option-border-color: #{$black};
        --option-text-color: #{$black};
    }
}

.ProductAttributeValue {
    --button-background: initial;
    --button-color: initial;
    --button-padding: 0;
    --option-is-selected: 0;

    margin-left: 0;

    &-Color,
    &-String,
    &-Image,
    &-Text {
        display: inline-block;
        width: var(--option-size);
        min-height: var(--option-size);
        padding: var(--option-padding);
        border-width: 1px;
        border-color: var(--option-border-color);
        margin: var(--option-margin);
        color: var(--option-text-color);
        background-color: var(--option-background-color);
    }

    &-Image {
        padding: 0;
        border-radius: 50%;
        position: relative;
    }

    &-Image-Overlay {
        --option-check-mark-background: white;
        margin-left: 0.5rem;

        position: absolute;
        top: 0;
        left: 0;

        @include after-mobile {
            margin: 0;
        }
    }

    &-Color {
        margin-bottom: 0;
    }

    &-Color,
    &-Image-Overlay {
        width: var(--option-size);
        border-radius: 50%;

        box-shadow: inset 0 0 0 1px var(--option-border-color);
        font-size: 0;
        will-change: box-shadow, background-color;

        &::before,
        &::after {
            position: absolute;

            opacity: var(--option-is-selected);
            transition: opacity 200ms;
            content: '';
            will-change: opacity, border-left, border-right;
        }

        &::before {
            width: calc(var(--option-size) + 6px);
            height: calc(var(--option-size) + 6px);

            border-radius: inherit;
            top: -3px;
            left: -3px;
            box-shadow: inherit;
        }

        &::after {
            width: calc(var(--option-size) / 2.5);
            height: calc(var(--option-size) / 5);
            top: calc(var(--option-size) / 3.3);
            left: calc(var(--option-size) / 3.3);

            transform: rotate(-45deg);

            border: {
                bottom: 2px solid var(--option-check-mark-background);
                left: 2px solid var(--option-check-mark-background);
            }
        }

        &:hover {
            @include after-mobile {
                &::before,
                &::after {
                    --option-is-selected: 0.5;
                }
            }
        }
    }

    &-String,
    &-Text {
        width: auto;
        min-width: calc(1.25 * var(--option-size));
        border-style: solid;
        text-align: center;
        line-height: var(--option-size);

        &_isSelected {
            --option-border-color: var(--primary-base-color);
            --option-text-color: var(--primary-base-color);
        }
    }

    &-Text {
        display: flex;
        border: 0;
        margin: 0;
        align-items: baseline;
        text-transform: uppercase;
        line-height: 1.4;

        &_isSelected {
            color: var(--primary-base-color);
        }

        label {
            margin: 0;
            font-weight: 400;
            cursor: pointer;

            &:last-child {
                border-color: var(--option-border-color);
            }

            &:first-of-type {

                display: -webkit-box;

                overflow: hidden;
                padding-bottom: 0;
                padding-left: 1rem;
                order: 1;
                text-align: left;
                text-overflow: ellipsis;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 3;

                ~ label {
                    min-width: 1.5rem;
                    margin: 0;
                    top: 0.3rem;
                }
            }
        }

        &:hover,
        &:focus {
            label {
                @include after-mobile {
                    border-color: var(--primary-base-color);
                }

                &::after {
                    @include after-mobile {
                        --checkmark-color: var(--secondary-dark-color);
                    }
                }
            }
        }

        @include after-mobile {
            padding: 0.5rem 0;
        }
    }

    &:hover,
    &:focus {
        @include desktop {
            --option-border-color: #{$black};
            --option-text-color: #{$black};
        }

        text-decoration: none;
    }

    &_isNotAvailable {
        opacity: 0.25;
        pointer-events: none;
    }
}
